package cn.com.ctop.kuaishou.modules.graphql.service;

import java.io.IOException;
import java.util.Map;

public interface IKuaishouWebInterfaceService {
    public void getVideoList(String uid) throws IOException;

    public String checkKuaishouUser(String videoUrl);

    public void adkuaishouWebLogin(String phone, String password) throws IOException;

    public void deleteAllComment(Map<String, String> pcursorMap);

    public String qrLogin(String taskId) throws Exception;

    public Map<String, Object> loginStatus(String taskId);

    public Map<String, Object> commentDelete(String userId, String ksid, String photoId, Long commentId);

    public Map<String, Object> videoList(String userId, String ksid, String pcursor);

    public Map<String, Object> commentList(String userId, String ksid, String photoId, String pcursor);

    public Map<String, Object> commentAdd(String userId, String ksid, String photoId, String content, Long replyToCommentId, Long replyTo);

    public void sendPreview(Integer creativeId, String kwid);

    public void adekuaishouWebLogin(String phone, String password) throws IOException;
    public Map<String, Object> subCommentList(String userId, String ksid, String photoId, Long rootCommentId, String pcursor);
}
